/* This script contains constants for each global flag used in the game. Fill them in as you go along! */

/* New flags */

enum new_misc_flags
{
	//The player has heard a Fellowship member rabbit on about their philosophy.
	//Used for new conversation behaviour by askAboutPhilosophy() in npcs.uc.
	HEARD_PHILOSOPHY = 0x350
};

//Flags used by the selling-fish-to-Gordon conversation option (use static vars instead?)
enum gordon_fish_sales
{
	ASKED_GORDON_ABOUT_FISHING	= 0x360,
	GOT_GORDONS_FISH_QUEST		= 0x361,
	GOT_GORDONS_ROD				= 0x362
};

//Flags used by the Rune of Honor quest
enum rune_of_honor_flags
{
	TOLD_ABOUT_RUNE				= 0x370,	//Talked to Finnigan about Trinsic and the Rune of Honor (starts off quest)

	NEED_PERMISSION_FOR_RUNE	= 0x371,	//Talked to Candice about Rune and need LB's permission to return it
	GOT_PERMISSION_FOR_RUNE		= 0x372,	//Got LB's permission to return Rune

	NEED_REPLICA_RUNE			= 0x373,	//Candice wants a replica made
	KNOWS_ARTISAN_FOR_RUNE		= 0x374,	//Found out who can make the replica
	GOT_REPLICA_RUNE			= 0x375,	//Received the replica rune (prevents it being given twice)

	FAKE_RUNE_IN_TRINSIC		= 0x376,	//The replica is on the pedestal in Trinsic
	REAL_RUNE_IN_TRINSIC		= 0x377,	//The real rune is on the pedestal in Trinsic

	FAKE_RUNE_IN_BRITAIN		= 0x378,	//The replica is on the pedestal in Britain
	RUNE_TAKEN_FROM_BRITAIN		= 0x379,	//The real rune has been removed from the pedestal in Britain
											//(needs to be inverted because it will start out false)

	RUNE_THEFT_TIMER_RUNNING	= 0x37A,	//The theft discovery timer has been started (prevents it restarting)
	RUNE_THEFT_DISCOVERED		= 0x37B,	//Finnigan has got angry letter, demands you return the rune

	RETURNED_STOLEN_RUNE		= 0x37C,	//Returned the real rune to Britain after stealing it (failed end of quest)
	RETURNED_RUNE_PROPERLY		= 0x37D,	//Returned the real rune to Trinsic after getting replica (successful end of quest)
	REWARDED_FOR_RUNE			= 0x37E,	//Got the XP reward for returning the Rune
	RUNE_QUEST_COMPLETE			= 0x37F
};


/* Original game flags */

//Who the player has met. BG used global flags for this because the Met flag didn't exist.
enum met_flags
{
	MET_JULIA			= 0x1B,
	MET_LORD_BRITISH	= 0x98,
	MET_FINNIGAN		= 0x4C,
	MET_NYSTUL			= 0x99,
	MET_CHUCKLES		= 0x9A,
	MET_CANDICE			= 0xAA,
	MET_GORDON			= 0xBB,
	MET_GLADSTONE		= 0x110
};

//Flags used by the starting murder investigation quest
enum trinsic_murder_flags
{
	GOT_CHRISTOPHERS_KEY		= 0x3C,
	GOT_TRINSIC_PASSWORD		= 0x3D,
	NEEDS_TRINSIC_PASSWORD		= 0x42,
	UNLOCKED_CHRISTOPHERS_CHEST	= 0x3E,

	KNOWS_ABOUT_CHRISTOPERS_ARGUMENT	= 0x3F,
	REFUSED_MURDER_INVESTIGATION		= 0x59,
	EXPECTED_TO_LOOK_IN_STABLES			= 0x5A,
	REPORTED_CHRISTOPHERS_KEY			= 0x48,
	CAN_GIVE_MURDER_REPORT				= 0x5B,
	STARTED_MURDER_REPORT				= 0x5D,
	LEARNED_ABOUT_CROWN_JEWEL			= 0x40,
	LEARNED_ABOUT_HOOK					= 0x43,
	FINISHED_MURDER_INVESTIGATION		= 0x44,
	WAITING_FOR_INVESTIGATION_PAYMENT	= 0x45
};

//Broken the tetrahedron generator that screws up magic. This affects most conversations with wizards.
const int BROKE_TETRAHEDRON = 0x03;

//Used the armageddon spell
const int CAST_ARMAGEDDON = 0x1E;


//Flags used in conversation with Lord British
enum lb_conversation_flags
{
	WESTON_FREED					= 0xCC,
	GOT_ORB							= 0xDD,
	ASKED_LB_ABOUT_MAGIC			= 0x66,
	LEARNED_ABOUT_BRITAIN_MURDER	= 0xD1, //allows you to ask Patterson about it
	ASKED_LB_ABOUT_HEAL				= 0xD3,
	LEARNED_ABOUT_BLACKROCK			= 0x65,	//allows you to ask Rudyom about it?
	ASKED_LB_ABOUT_GUARDIAN			= 0xD4,	//stops you ever asking him again (yes, plaster over those plot-holes)
	LB_REWARDED_FOR_FV				= 0x30D	//Received Lord British's reward for completing the Forge of Virtue
};

//Flags used in conversation with Julia
enum julia_conversation_flags
{
	ASKED_JULIA_TO_LEAVE			= 0x101,
	JULIA_IN_PARTY					= 0x108,
	ASKED_JULIA_ABOUT_SPARK			= 0x121
};

//Flags used in Minoc conversations to do with the sawmill murder
enum minoc_murder_flags
{
	LEARNED_ABOUT_MINOC_MURDER		= 0x11F
};

//Flags used by the Owen's Monument quest
enum owen_monument_flags
{
	COMPLETED_OWENS_QUEST		= 0xF7,
	LEARNED_ABOUT_PLANS			= 0x10B,
	OWENS_PLANS_ARE_UNSAFE		= 0xFD
};

//Batlin has buggered off (after you talk to him with the cube in your possession)
const int BATLIN_MISSING = 0xDA;

//Heard that Patterson is having an affair with Candice
const int HEARD_ABOUT_PATTERSONS_AFFAIR = 0x80;

//Heard about the Inner Voice
const int HEARD_ABOUT_VOICE = 0x8C;