/* This script file contains constants for every shape and frame in the game. */
//These could just as well be defined in the scripts that refer to those shapes...but many shapes are used by several scripts, and we'd run into declaration conflicts. Best to keep them all here, then!


//Shapes
const int SHAPE_MALE_AVATAR		= 721;
const int SHAPE_FEMALE_AVATAR	= 989;
const int SHAPE_GOLD			= 644;	//Filthy lucre
const int SHAPE_SCROLL			= 797;

const int SHAPE_MINING_MACHINE	= 410;
const int SHAPE_CONVEYOR_BELT	= 411;
const int SHAPE_BLACKROCK		= 914;
const int SHAPE_LEAD_ORE		= 915;
const int SHAPE_IRON_ORE		= 916;
const int SHAPE_STONE_CHIPS		= 815;

const int SHAPE_FISH			= 509;	//live fish in the water
const int SHAPE_FISHING_ROD		= 662;	//fishing rod (quel surprise)

const int SHAPE_RUNE			= 877;
const int SHAPE_ORB				= 785;

const int SHAPE_PRISM			= 981;	//The Guardian's three prisms

const int SHAPE_FOOD			= 377;
const int SHAPE_BOTTLE			= 616;
const int SHAPE_REAGENT			= 842;
const int SHAPE_KITCHEN_ITEM	= 863;
const int SHAPE_BUCKET			= 810;
const int SHAPE_DOUGH			= 658;
const int SHAPE_POWDER_KEG		= 704;

const int SHAPE_WHEAT			= 677;
const int SHAPE_MILLSTONE		= 711;

const int SHAPE_TROUGH_VERTICAL		= 719;
const int SHAPE_TROUGH_HORIZONTAL	= 741;
const int SHAPE_WELL				= 740;
const int SHAPE_WELLBASE			= 470;
const int SHAPE_ROCK				= 331;
const int SHAPE_LIGHTSOURCE		= 336;
const int SHAPE_SCONCE			= 481;
const int SHAPE_TORCH			= 595;

const int SHAPE_FIREPIT			= 739;
const int SHAPE_LIGHTSOURCE_LIT	= 338;
const int SHAPE_SCONCE_LIT		= 435;
const int SHAPE_TORCH_LIT		= 701;
const int SHAPE_CAMPFIRE		= 825;

const int SHAPE_COW				= 500;

const int SHAPE_WORKTABLE_VERTICAL		= 1003;
const int SHAPE_WORKTABLE_HORIZONTAL	= 1018;

const int SHAPE_THREAD	= 654;
const int SHAPE_LOOM	= 261;
const int SHAPE_CLOTH	= 851;
const int SHAPE_BANDAGE	= 827;
const int SHAPE_TOP		= 249;
const int SHAPE_PANTS	= 738;
const int SHAPE_TOY		= 742;
const int SHAPE_CLOAK	= 285;
const int SHAPE_COSTUME = 838;
const int SHAPE_HOOD	= 444;

const int SHAPE_SHEEP	= 970;
const int SHAPE_SHEARS	= 698;
const int SHAPE_WOOL	= 653;


//Frames
//these are frames of SHAPE_TOP
const int FRAME_SHIRT	= 0;
const int FRAME_DRESS1	= 1;
const int FRAME_DRESS2	= 2;

const int FRAME_CUBE			= 1;	//the cube prism

const int FRAME_RUNE_HONOR		= 6;
const int FRAME_RUNE_REPLICA	= 8;	//added for Rune of Honor quest

const int FRAME_FLOUR			= 0;

const int FRAME_FLOURSACK_OPEN	= 0;
const int FRAME_PITCHER_EMPTY	= 2;
const int FRAME_PITCHER_MILK	= 18;

const int FRAME_ROLLINGPIN		= 8;
const int FRAME_ROLLINGPIN_2	= 9;
const int FRAME_FLOURSACK		= 13;
const int FRAME_FLOURSACK_2		= 14;
const int FRAME_CHURN			= 15;
const int FRAME_CHURN_2			= 16;
const int FRAME_CHURN_3			= 17;

const int FRAME_MILK			= 7;
const int FRAME_TROUT			= 12;
const int FRAME_BUTTER			= 25;
const int FRAME_CHEESE1			= 26;
const int FRAME_CHEESE2			= 27;
const int FRAME_CHEESE3			= 28;
const int FRAME_FISH_AND_CHIPS	= 30;


const int FRAME_BUCKET_EMPTY	= 0;
const int FRAME_BUCKET_WATER	= 1;
const int FRAME_BUCKET_BLOOD	= 2;
const int FRAME_BUCKET_WINE		= 3;
const int FRAME_BUCKET_BLOOD2	= 4;
const int FRAME_BUCKET_BLOOD3	= 5;
const int FRAME_WATERINGCAN		= 6;
const int FRAME_BUCKET_MILK		= 7;

const int FRAME_SLATE	= 5;	//added for Rune of Honor quest