//sew a bolt of cloth into your choice of pretty garment
//Todo: different kinds of garments need different materials, possibly multiple materials (e.g. Avatar Costume)
sewCloth 0xB16(var cloth)
{
	var avatar = UI_get_avatar_ref();
	var garment;
	var garment_shape;
	var garment_frame;

	avatar->say("What sort of garment dost thou wish to sew from this cloth?");
	converse (["shirt", "cloak", "dress", "trousers", "Avatar costume", "cuddly toy", "nothing"])
	{
		case "shirt":
			garment_shape = SHAPE_TOP;
			garment_frame = FRAME_SHIRT;
			break;
		case "cloak":
			garment_shape = SHAPE_CLOAK;
			garment_frame = UI_die_roll(0,3);
			break;
		case "dress":
			garment_shape = SHAPE_TOP;
			garment_frame = UI_die_roll(1,2);
			break;
		case "trousers":
			garment_shape = SHAPE_PANTS;
			garment_frame = UI_die_roll(0,5);
			break;
		case "Avatar costume":
			garment_shape = SHAPE_COSTUME;
			garment_frame = 0;
			break;
		case "cuddly toy":
			garment_shape = SHAPE_TOY;
			garment_frame = UI_die_roll(0,1);
			break;
		case "nothing":
			break;
	}

	if (garment_shape)
	{
		//cuddly toys also need wool for stuffing!
		//Note: for now this doesn't actually remove the wool, since only a small amount would be needed
		if (SHAPE_TOY)
		{
			if (!UI_count_objects(PARTY, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY))
			{	
				say("Thou must also have some wool with which to stuff the toy.");
				return;
			}
		}

		UI_remove_item(cloth);	//get rid of the cloth
		UI_remove_item(item);	//get rid of the thread

		//make a new garment of them
		garment = UI_create_new_object(garment_shape);
		UI_set_item_frame(garment, garment_frame);
		UI_give_last_created(UI_get_avatar_ref());	//put it in the player's inventory

		//now, say some comments about it
		avatarBark("\"Voila!\"");

		var comment;
		if (garment_shape == SHAPE_TOY) comment = "\"Aw, 'tis so cute!\"";
		else
		{
			var rand = UI_get_random(4);
			if (rand == 1)		comment = "\"T'will look divine on thee!\"";
			else if (rand == 2)	comment = "\"Trs elegant!\"";
			else if (rand == 3)	comment = "\"'Tis all the rage in Britain.\"";
		}
		if (comment) delayedBark(getRandomPartyMember(), comment, 10);
	}
}

Thread 654 ()
{
	var target;
	var target_shape;
	var pos_x;
	var pos_y;
	var pos_z;

	//Player doubleclicked on thread: march them to the thread and pick it up
	if (event == DOUBLECLICK)
	{
		if (containedByAvatar(item))
		{
			//rerun the function as SCRIPTED this time
			event = SCRIPTED;
			Thread();
			return;
		}
		else gotoAndGet(item, 0xB15, item, SCRIPTED);
	}

	//Player is carrying the thread and ready to use it
	else if (event == SCRIPTED)
	{
		target = UI_click_on_item();
		target_shape = UI_get_item_shape(target);

		//loom was clicked on: go to the loom and run the weaving animation
		if (target_shape == SHAPE_LOOM)
		{
			UI_close_gumps();

			//only go to the bottom edge of the loom
			pos_x = [0, -1, -2];
			pos_y = [1, 1, 1];
			pos_z = -1;
			gotoObject(target, pos_x, pos_y, pos_z, SHAPE_LOOM, target, 7);
		}
		//thread was used on cloth - get sewing!
		else if (target_shape == SHAPE_CLOTH) sewCloth(target);

		//something else was clicked on; advise the player what they can do with thread
		else
		{
			randomPartySay("\"Why dost thou not weave cloth with that thread on the loom?\"");
		}
	}
}

//shortcut function to pick up thread and use it again, called by Thread() using gotoAndGet()
getThread 0xB15()	{ pickUpItem(item, SHAPE_THREAD, item, SCRIPTED); }